<script setup lang="ts">
interface Props {
  isOpen?: boolean;
  small?: boolean;
}

const props = withDefaults(defineProps<Props>(), {
  isOpen: false,
  small: false,
});

function sizeClasses() {
  const classes = props.small ? ["h-8", "w-8"] : ["h-10", "w-10"];
  if (props.isOpen) {
    classes.push("rotate-180");
  }
  return classes;
}
</script>

<template>
  <div class="transition-transform" :class="sizeClasses()">
    <it-icon-arrow-down aria-hidden="true" />
  </div>
</template>
<style lang="scss" scoped></style>
